---
inputType: "CA10__CaAwsDbInstance__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsDbInstance__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Instance is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "INAPPLICABLE"
    currentStateMessage: "This policy doesn't apply to Cluster Instances."
    check:
      NOT_EMPTY:
        arg:
          EXTRACT: "CA10__clusterArn__c"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Instance enhanced Monitoring is disabled (monitoring interval is set to 0)."
    remediationMessage: "Enable enhanced monitoring by setting the monitoring interval"
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__monitoringInterval__c"
        right:
          NUMBER: 0.0
  - status: "COMPLIANT"
    currentStateMessage: "Enhanced monitoring is enabled."
    check:
      GREATER_THAN:
        left:
          EXTRACT: "CA10__monitoringInterval__c"
        right:
          NUMBER: 0.0
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."